Bug 1765957 - RPM spec has unnecessary BuildRequires dependencies
Summary: RPM spec has unnecessary BuildRequires dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-DNS-SEC
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-27 19:23 UTC by Dick Franks
Modified: 2020-05-01 09:07 UTC (History)
4 users (show)

Fixed In Version: perl-Net-DNS-SEC-1.12-5.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-01 09:07:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Dick Franks 2019-10-27 19:23:11 UTC
Description of problem:

Inaccurate package dependency to be corrected whenever convenient.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


*** f30/perl-Net-DNS-SEC.spec	2019-10-27 18:15:25.069764411 +0000
--- ./perl-Net-DNS-SEC.spec	2019-10-27 18:18:15.657151967 +0000
***************
*** 29,39 ****
  BuildRequires:  perl(IO::File)
  BuildRequires:  perl(MIME::Base64) >= 2.11
  BuildRequires:  perl(Net::DNS) >= 1.08
- BuildRequires:  perl(Net::DNS::RR::DNSKEY)
  BuildRequires:  perl(Net::DNS::RR::DS)
- BuildRequires:  perl(Net::DNS::RR::KEY)
  BuildRequires:  perl(Net::DNS::RR::RRSIG)
- BuildRequires:  perl(Net::DNS::RR::SIG)
  BuildRequires:  perl(Net::DNS::ZoneFile)
  # Tests only
  BuildRequires:  perl(File::Find)
--- 29,36 ----

Net::DNS::RR::DNSKEY is only required for testing, the others not at all.

I suspect these are remnants from before these RRs were moved into Net::DNS (at 1.01).

Comment 1 Ben Cotton 2020-04-30 20:52:06 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Petr Pisar 2020-05-01 08:56:19 UTC
No word from from maintainer. I will fix in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.